Featureflags 11 endpoints

POST /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access
operationId: Featureflags_roleAccessCreate

Parameters

Name In Required Type Description
feature_flag_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlagRoleAccess
Property Type Required
id integer required
role object required
id string required
name string required
members string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
role_id string required
added_at string required
updated_at string required
feature_flag object required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlagRoleAccess
Property Type Required
id integer required
role object required
id string required
name string required
members string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
role_id string required
added_at string required
updated_at string required
feature_flag object required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlagRoleAccess
Property Type Required
id integer required
role object required
id string required
name string required
members string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
role_id string required
added_at string required
updated_at string required
feature_flag object required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

201
POST /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access
DELETE /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access/{id}
operationId: Featureflags_deleteRoleAccess

Parameters

Name In Required Type Description
feature_flag_id path required integer
id path required integer

A unique integer value identifying this feature flag role access.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access/{id}
GET /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access/{id}
operationId: Featureflags_getRoleAccessById

Parameters

Name In Required Type Description
feature_flag_id path required integer
id path required integer

A unique integer value identifying this feature flag role access.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access/{id}
DELETE /api/projects/{project_id}/feature_flags/{id}

Hard delete of this model is not allowed. Use a patch API call to set “deleted” to true

operationId: Featureflags_deleteFeatureFlag

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

default

No response body

DELETE /api/projects/{project_id}/feature_flags/{id}
GET /api/projects/{project_id}/feature_flags/{id}

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_readFeatureFlagById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/{id}
PATCH /api/projects/{project_id}/feature_flags/{id}

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_updateFeatureFlagById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedFeatureFlag
Property Type Required
id integer optional
key string optional
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object optional
can_edit boolean optional
features object optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array optional
is_simple_flag boolean optional
usage_dashboard integer optional
performed_rollback boolean optional
rollout_percentage integer optional
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema PatchedFeatureFlag
Property Type Required
id integer optional
key string optional
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object optional
can_edit boolean optional
features object optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array optional
is_simple_flag boolean optional
usage_dashboard integer optional
performed_rollback boolean optional
rollout_percentage integer optional
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema PatchedFeatureFlag
Property Type Required
id integer optional
key string optional
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object optional
can_edit boolean optional
features object optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array optional
is_simple_flag boolean optional
usage_dashboard integer optional
performed_rollback boolean optional
rollout_percentage integer optional
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
PATCH /api/projects/{project_id}/feature_flags/{id}
PUT /api/projects/{project_id}/feature_flags/{id}

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_createOrUpdateFlag

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
PUT /api/projects/{project_id}/feature_flags/{id}
GET /api/projects/{project_id}/feature_flags/{id}/activity

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_getFeatureFlagActivity

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/{id}/activity
POST /api/projects/{project_id}/feature_flags/{id}/create_static_cohort_for_flag

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_createStaticCohortForFlag

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
POST /api/projects/{project_id}/feature_flags/{id}/create_static_cohort_for_flag
POST /api/projects/{project_id}/feature_flags/{id}/dashboard

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_createOrUpdateDashboard

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
POST /api/projects/{project_id}/feature_flags/{id}/dashboard
POST /api/projects/{project_id}/feature_flags/{id}/enrich_usage_dashboard

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_enrichUsageDashboardCreate

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this feature flag.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
POST /api/projects/{project_id}/feature_flags/{id}/enrich_usage_dashboard

Funnel 1 endpoints

POST /api/projects/{project_id}/insights/funnel
operationId: Funnel_createOrUpdate

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Funnel
Property Type Required
events array optional
id string required
math string optional
properties array optional
type string optional
values array required
key string required
type object optional
value string required
operator object optional
actions array optional
id string required
math string optional
properties array optional
type string optional
values array required
key string required
type object optional
value string required
operator object optional
date_to string optional
breakdown string optional
date_from string optional
exclusions array optional
id string required
properties object optional
type string optional
values array required
key string required
type object optional
value string required
operator object optional
funnel_to_step integer optional
funnel_from_step integer optional
properties object optional
type string optional
values array required
key string required
type object optional
value string required
operator object optional
breakdown_type string optional
breakdown_limit integer optional
funnel_viz_type string optional
funnel_order_type string optional
funnel_window_days integer optional
filter_test_accounts boolean optional
funnel_window_interval integer optional
funnel_window_interval_type string optional
aggregation_group_type_index integer optional

Responses

200

Note, if funnel_viz_type is set the response will be different.

POST /api/projects/{project_id}/insights/funnel

Groups 5 endpoints

GET /api/projects/{project_id}/groups

List all groups of a specific group type. You must pass ?group_type_index= in the URL. To get a list of valid group types, call /api/:project_id/groups_types/

operationId: groups_list

Parameters

Name In Required Type Description
cursor query optional string

The pagination cursor value.

group_type_index query required integer

Specify the group type to list

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

search query required string

Search the group name

Responses

200
GET /api/projects/{project_id}/groups
GET /api/projects/{project_id}/groups/find
operationId: Groups_getGroupsFind

Parameters

Name In Required Type Description
group_key query required string

Specify the key of the group to find

group_type_index query required integer

Specify the group type to find

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/groups/find
GET /api/projects/{project_id}/groups/property_definitions
operationId: Groups_getPropertyDefinitions

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/groups/property_definitions
GET /api/projects/{project_id}/groups/property_values
operationId: Groups_getPropertyValues

Parameters

Name In Required Type Description
group_type_index query required integer

Specify the group type to find property values of

key query required string

Specify the property key to find values for

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/groups/property_values
GET /api/projects/{project_id}/groups/related
operationId: Groups_getRelatedGroups

Parameters

Name In Required Type Description
group_type_index query required integer

Specify the group type to find

id query required string

Specify the id of the user to find groups for

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/groups/related

Groupstypes 2 endpoints

GET /api/projects/{project_id}/groups_types
operationId: Groupstypes_list

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/groups_types
PATCH /api/projects/{project_id}/groups_types/update_metadata
operationId: Groupstypes_updateMetadataPatch

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedGroupType
Property Type Required
group_type string optional
name_plural string optional
name_singular string optional
group_type_index integer optional
multipart/form-data
schema PatchedGroupType
Property Type Required
group_type string optional
name_plural string optional
name_singular string optional
group_type_index integer optional
application/x-www-form-urlencoded
schema PatchedGroupType
Property Type Required
group_type string optional
name_plural string optional
name_singular string optional
group_type_index integer optional

Responses

200
PATCH /api/projects/{project_id}/groups_types/update_metadata

Insights 21 endpoints

GET /api/projects/{project_id}/insights
operationId: insights_list

Parameters

Name In Required Type Description
created_by query optional integer
format query optional string
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id query optional string

Responses

200
GET /api/projects/{project_id}/insights
POST /api/projects/{project_id}/insights
operationId: insights_create

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

201
POST /api/projects/{project_id}/insights
GET /api/projects/{project_id}/insights/activity
operationId: Insights_getActivityData

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/activity
POST /api/projects/{project_id}/insights/cancel
operationId: Insights_cancelCreate

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/cancel
GET /api/projects/{project_id}/insights/funnel
operationId: Insights_getFunnelSummary

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/funnel
GET /api/projects/{project_id}/insights/funnel/correlation
operationId: Insights_funnelCorrelationRetrieve

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/funnel/correlation
POST /api/projects/{project_id}/insights/funnel/correlation
operationId: Insights_funnelCorrelationCreate

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/funnel/correlation
GET /api/projects/{project_id}/insights/my_last_viewed

Returns basic details about the last 5 insights viewed by this user. Most recently viewed first.

operationId: Insights_listLastViewed

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/my_last_viewed
GET /api/projects/{project_id}/insights/path
operationId: Insights_getPath

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/path
POST /api/projects/{project_id}/insights/path
operationId: Insights_createOrUpdatePath

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/path
GET /api/projects/{project_id}/insights/retention
operationId: Insights_projectRetentionGet

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/retention
POST /api/projects/{project_id}/insights/retention
operationId: Insights_createRetention

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/retention
POST /api/projects/{project_id}/insights/timing
operationId: Insights_createTimingInsight

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/timing
GET /api/projects/{project_id}/insights/trend
operationId: Insights_getTrend

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/trend
DELETE /api/projects/{project_id}/insights/{id}

Hard delete of this model is not allowed. Use a patch API call to set “deleted” to true

operationId: insights_destroy

Parameters

Name In Required Type Description
format query optional string
id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

default

No response body

DELETE /api/projects/{project_id}/insights/{id}
GET /api/projects/{project_id}/insights/{id}
operationId: insights_retrieve

Parameters

Name In Required Type Description
format query optional string
from_dashboard query optional integer

When loading an insight for a dashboard pass a from_dashboard query parameter containing the dashboard ID

e.g. "/api/projects/{team_id}/insights/{insight_id}?from_dashboard={dashboard_id}"

Insights can be added to more than one dashboard, this allows the insight to be loaded in the correct context.

Using the correct cache and enriching the response with dashboard specific config (e.g. layouts or colors)

id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

refresh query optional boolean
            The client can request that an insight be refreshed by setting the `refresh=true` parameter.
            The server will then decide if the data should or not be refreshed based on a set of heuristics
            meant to determine the staleness of cached data. The result will contain as `is_cached` field
            that indicates whether the insight was actually refreshed or not through the request.

Responses

200
GET /api/projects/{project_id}/insights/{id}
PATCH /api/projects/{project_id}/insights/{id}
operationId: Insights_updateInsightPath

Parameters

Name In Required Type Description
format query optional string
id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedInsight
Property Type Required
id integer optional
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string optional
deleted boolean optional
filters object optional
short_id string optional
timezone string optional
favorited boolean optional
is_cached string optional
is_sample boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string optional
description string optional
derived_name string optional
…7 more object optional

Responses

200
PATCH /api/projects/{project_id}/insights/{id}
PUT /api/projects/{project_id}/insights/{id}
operationId: insights_update

Parameters

Name In Required Type Description
format query optional string
id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
PUT /api/projects/{project_id}/insights/{id}
GET /api/projects/{project_id}/insights/{id}/activity
operationId: Insights_getActivityData

Parameters

Name In Required Type Description
format query optional string
id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/{id}/activity
POST /api/projects/{project_id}/insights/{id}/viewed
operationId: Insights_markAsViewed

Parameters

Name In Required Type Description
format query optional string
id path required integer

A unique integer value identifying this insight.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Insight
Property Type Required
id integer required
name string optional
tags array optional
order integer optional
query object optional
saved boolean optional
result string required
deleted boolean optional
filters object optional
short_id string required
timezone string required
favorited boolean optional
is_cached string required
is_sample boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
dashboards array optional
updated_at string required
description string optional
derived_name string optional
…7 more object optional

Responses

200
POST /api/projects/{project_id}/insights/{id}/viewed
GET /api/projects/{project_id}/insights/{insight_id}/sharing
operationId: Insights_getSharing

Parameters

Name In Required Type Description
insight_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/insights/{insight_id}/sharing

Notebooks 8 endpoints

GET /api/projects/{project_id}/notebooks

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: notebooks_list

Parameters

Name In Required Type Description
contains query optional string

Filter for notebooks that match a provided filter.
Each match pair is separated by a colon,
multiple match pairs can be sent separated by a space or a comma

created_by query optional integer

The UUID of the Notebook’s creator

date_from query optional string

Filter for notebooks created after this date & time

date_to query optional string

Filter for notebooks created before this date & time

limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

user query optional string

If any value is provided for this parameter, return notebooks created by the logged in user.

Responses

200
GET /api/projects/{project_id}/notebooks
POST /api/projects/{project_id}/notebooks

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: notebooks_create

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
multipart/form-data
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
application/x-www-form-urlencoded
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional

Responses

201
POST /api/projects/{project_id}/notebooks
GET /api/projects/{project_id}/notebooks/activity

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: Notebooks_getActivityList

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/notebooks/activity
DELETE /api/projects/{project_id}/notebooks/{short_id}

Hard delete of this model is not allowed. Use a patch API call to set “deleted” to true

operationId: notebooks_destroy

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Responses

default

No response body

DELETE /api/projects/{project_id}/notebooks/{short_id}
GET /api/projects/{project_id}/notebooks/{short_id}

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: notebooks_retrieve

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Responses

200
GET /api/projects/{project_id}/notebooks/{short_id}
PATCH /api/projects/{project_id}/notebooks/{short_id}

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: Notebooks_updateNotebook

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Request Body

application/json
schema PatchedNotebook
Property Type Required
id string optional
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
multipart/form-data
schema PatchedNotebook
Property Type Required
id string optional
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
application/x-www-form-urlencoded
schema PatchedNotebook
Property Type Required
id string optional
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional

Responses

200
PATCH /api/projects/{project_id}/notebooks/{short_id}
PUT /api/projects/{project_id}/notebooks/{short_id}

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: notebooks_update

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Request Body

application/json
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
multipart/form-data
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
application/x-www-form-urlencoded
schema Notebook
Property Type Required
id string required
title string optional
content object optional
deleted boolean optional
version integer optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
text_content string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional

Responses

200
PUT /api/projects/{project_id}/notebooks/{short_id}
GET /api/projects/{project_id}/notebooks/{short_id}/activity

The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.

operationId: Notebooks_getActivityList

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Responses

200
GET /api/projects/{project_id}/notebooks/{short_id}/activity

Organizations 2 endpoints

GET /api/organizations
operationId: Organizations_list

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

Responses

200
GET /api/organizations
POST /api/organizations
operationId: Organizations_createOrganization

Request Body

required
application/json
schema Organization
Property Type Required
id string required
name string required
slug string required
teams array required
metadata string required
created_at string required
updated_at string required
customer_id string required
enforce_2fa boolean optional
member_count string required
membership_level integer required
available_features array required
plugins_access_level integer required
available_product_features array required
is_member_join_email_enabled boolean optional
multipart/form-data
schema Organization
Property Type Required
id string required
name string required
slug string required
teams array required
metadata string required
created_at string required
updated_at string required
customer_id string required
enforce_2fa boolean optional
member_count string required
membership_level integer required
available_features array required
plugins_access_level integer required
available_product_features array required
is_member_join_email_enabled boolean optional
application/x-www-form-urlencoded
schema Organization
Property Type Required
id string required
name string required
slug string required
teams array required
metadata string required
created_at string required
updated_at string required
customer_id string required
enforce_2fa boolean optional
member_count string required
membership_level integer required
available_features array required
plugins_access_level integer required
available_product_features array required
is_member_join_email_enabled boolean optional

Responses

201
POST /api/organizations
Load more endpoints